/* INFORMACJA (BOOTSTRAP):
@media (min-width: 768px) { .container { width: 750px; } }
@media (min-width: 992px) { .container { width: 970px; } }
@media (min-width: 1200px) { .container { width: 1170px;  } }
*/
/* a poniższe Marcin chciał, żeby dodać:
@media (min-width: 1430px){  .container { width: 1400px; } }
*/

body > .btn-clear-cache {
    position: fixed;
    top: 25px;
    right: 5px;
    background-color: transparent;
    border-color: transparent;
    color: #999;
    z-index: 2000;
}
body > .hidden {
    display: none;
}
.jq-message {
    position: relative;
    width: calc(100% - 30px);
    margin: 10px 15px;
    padding: 10px 15px;
    border-width: 2px;
    border-color: gray;
    border-style: dotted;
    border-radius: 6px;
    background-color: white;
    color: gray;
    font-size: 1.1rem;
    line-height: 1.2;
    font-family: monospace;
    font-weight: bold;
}
.jq-message > .message-close {
    position: absolute;
    right: 10px;
    top: 5px;
}
.jq-message.error {
    border-color: white;
    background-color: maroon;
    color: white;
}
.jq-message.info {
    border-color: black;
    color: black;
}
.jq-message.alert {
    background-color: yellow;
    border-color: black;
    color: black;
}
.jq-message.danger {
    border-color: red;
    color: red;
}
jq-message.worning {
    border-color: orangered;
    color: orangered;
}
jq-message.success {
    border-color: darkgreen;
    color: darkgreen;
}

/* ******* TOP ******* */
/* zablokowanie dodatkowych niechcianych ikon z lewej i prawej */
#top-links > .list-inline > li:first-of-type,
#top .nav.pull-left > .list-inline > li:first-of-type {
    display: none;
}
/* zablokowanie opisu ikon języka i waluty */
#top .btn-link strong {
    display: none;
}

/* top */
#top {
    background-color: rgb(247, 247, 247); 
    margin: 0;
    padding: 2px 0;
}
#top .nav > ul {
    margin-bottom: 0;
}
#top .btn-link, 
#top-links li, 
#top-links a {
    color: black;
    text-decoration: none;
    font-size: 16px;
}
#top .btn-link:hover, 
#top-links a:hover {
    color: #444;
}

/* lewa */
nav#top .currency-ico-block,
nav#top .language-ico-block {
    display: block;
    margin: 0 1px 0 0;
} 
/*
nav#top #form-currency .btn,
nav#top #form-language .btn{
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    min-width: 10px;
    border: none;
}*/
nav#top .flag {
    max-width: 19px;
    margin-bottom: 5px;
    padding: 0;
    margin-left: -10px;
}
nav#top #form-currency .currency-select,
nav#top #form-language .language-select {
    text-align: left;
}
nav#top #form-currency .currency-select:hover,
nav#top #form-language .language-select:hover {
    text-shadow: none;
    color: #42bf96;
}
#top .nav.pull-left {
    padding-top: 10px;
    font-size: 16px;
    color: #000;
    margin-bottom: 20px;
}

nav#top .nav.pull-left img {
    width: 16px;
    height: auto;
}
nav#top .nav.pull-left span {
    display: none;
}
@media (min-width: 320px) {   
    nav#top .nav.pull-left img {
        width: 14px;
        height: auto;
    }
    nav#top .nav.pull-left span {
        display: inline-block;
        font-size: 15px;
    }
}
@media (min-width: 380px) {
    nav#top .nav.pull-left img {
        width: 17px;
        height: auto;
    }
    nav#top .nav.pull-left span {
        font-size: 16px;
    }
}


/* prawa */
#top-links {
    padding-top: 8px;
    padding-bottom: 6px;
}
#top-links .list-inline > li > a > img {
    margin: 0 -4px 0 0;
    width: 20px;
    height: auto;   
}
#top-links .list-inline > li > a > img.customer-picture {
    border: 1px solid #d9d9d9;
    border-radius: 50%;
    background-color: white;
}
@media (min-width: 380px) {
    #top-links .list-inline > li > a > img {
        margin: -3px 1px 0 0;
        width: 26px;
        height: auto;
    }
}
@media (min-width: 400px) {
    #top-links .list-inline > li > a > img {
        margin: -3px 3px 0 0;
        width: 30px;
        height: auto;   
    }
}
#top-links > .list-inline > li:last-of-type {
    padding-right: 0;
}
#top-links a + a {
    margin-left: 15px;
}
#top-links a + a.ico-logout{
    display: inline-block;
    padding: 2px;
    margin: 0;
    fill: red;
    font-weight: normal
}
#top-links a.top-imie {
    font-weight: bold;
}
#top-links .dropdown-menu a {
    text-shadow: none;
}
#top-links .dropdown-menu a:hover {
    /* color: #FFF; to było */
    color: black; /* to z language */
}
#top-links .dropdown-menu hr {
    margin: 4px 0;
}
#top .pos-li > a > img {
    /* margin-right: 7px; to było, a dalej z language */
    margin-right: 9px;
    width: 24px;
    margin-bottom: 4px;
}

/* ******* HEADER ******* */
header {
    margin-top: 20px;
}
/* search */
header #search {
    margin: 0;
    width: 100%;
}
/* input search */
header #input-search {
    border-color: #ccc;
    font-size: 16px;
    padding: 0 10px;
    height: 48px;
}
/* button search */
header #search .btn-lg {
    padding: 0;
    width: 48px;
    height: 48px;
    text-align: center;
    background-color: white;
}
header #search .btn-lg:hover {
    border-color: #ccc;
    color: rgb(0,0,0);
    background-color: rgb(240,240,240);
}
header #search .btn-lg.fa {
    font-size: 16px;
    line-height: 46px;
    color: #111;
}
@media (min-width: 992px){
    header #input-search {
        font-size: 22px;
        height: 58px;
    }
    header #search .btn-lg {
        width: 58px;
        height: 58px;
        background-color: white;
    }
    header #search .btn-lg.fa {
        font-size: 22px;
        line-height: 56px;
    }
}
/* placeholder */
header #input-search::-webkit-input-placeholder,
header #input-search:-moz-placeholder,
header #input-search::-moz-placeholder, /* 10+ */
header #input-search:-ms-input-placeholder,
header #input-search::placeholder{
    font-size: 16px;
    font-weight: lighter;
    color: #999;
}
@media (min-width: 992px){
    header #input-search::-webkit-input-placeholder,
    header #input-search:-moz-placeholder,
    header #input-search::-moz-placeholder,
    header #input-search:-ms-input-placeholder,
    header #input-search::placeholder{
        font-size: 22px;
    } 
}

/* logo */
header > .container > .row > #logo.col-sm-3 {
    /*margin-bottom:10px;*/
    /*margin-left: 9px;*/
}
@media(max-width: 991px){
    header > .container > .row > #logo.col-sm-3:after {
        content: ".";
        display: block;
        clear: both;
        visibility: hidden;
        line-height: 0;
        height: 0;
        padding-bottom: 10px;
    }
}
#logo > a {
    /* rozszerzenie mozilli to psuje */
    outline: none !important;
}
#logo .logo-img img {
    width: 90px;
    height: auto;
}

@media (min-width: 360px){
    #logo .logo-img img {
        width: 110px;
        height: auto;
    }
}
@media (min-width: 480px){
    #logo .logo-img img {
        width: 160px;
        height: auto;
    }
}
@media (min-width: 992px){
    #logo .logo-img img {
        width: 195px;
        height: auto;
    }
}

/* ikonki koło szukania/loga */
header .head-right-icons {
    margin: -4px 0 0;
}
@media (min-width: 480px){
    header .head-right-icons {
        margin: 0;
    }
}
@media (min-width: 992px){
    header .head-right-icons {
        margin: 0;
    }
}
header .head-right-icons .pos-li {
    margin: 8px 0 8px 5px;
}
@media (min-width: 992px) {
    header .head-right-icons .pos-li {
        margin: 13px 0 13px 15px;
    }
}
header .head-right-icons > .pos-li,
header .head-right-icons > .pos-li a,
header .head-right-icons > .pos-li button {
    padding: 0;
    /*height: 25px;*/
    width: 30px;
    font-size: 16px;
    line-height: 24px;
}
header .head-right-icons > .pos-li a img.icone,
header .head-right-icons > .pos-li button img.icone {
    height: 25px;
    width: 30px;
    line-height: 25px;
    margin: 0;
    padding: 0;
}

/* cart */
header .head-right-icons #cart button {
    position: relative;
    padding: 1px 4px;
}
header .head-right-icons #cart #cart-total {
    position: absolute;
    top: -7px;
    right: -10px;
    line-height: 20px;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    font-size: 12px;
    transition: all 0.2s ease-in-out;
    background-color: #1fc0a0;
    color: #fff;
    text-align: center;
}
header .head-right-icons #cart button.dropdown-toggle {
    cursor: pointer;
    padding: 0;
    background-color: transparent;
    border: none;
    transition: all 0.2s ease-in-out;
}
/* ? nie ma .btn w header! */
#cart > .btn {
    font-size: 17px;
    line-height: 18px;
    color: black;
    background-color: white;
    box-shadow: none;
    margin-top: 9px;
    width: 200px;
    margin-left: 129px;
}
#cart.open > .btn {
    background-image: none;
    background-color: #FFFFFF;
    box-shadow: none;
    text-shadow: none;
    width: 200px;
    margin-left: 129px;
    color: #000;
}
#cart.open > .btn:hover {
    color: #000;
    width: 200px;
    margin-left: 129px;
}
#cart .dropdown-menu {
    z-index: 1001;
}
#cart .dropdown-menu {
    min-width: 260px;
}
@media (max-width: 478px) {
    #cart .dropdown-menu {
        width: 300px;
    }
}
#cart .dropdown-menu table {
    margin-bottom: 10px;
}
#cart .dropdown-menu li > div {
    min-width: 427px;
    padding: 0 10px;
}
@media (max-width: 478px) {
    #cart .dropdown-menu li > div {
        min-width: 100%;
    }
}
#cart .dropdown-menu li p {
    margin: 20px 0;
}
@media(max-width: 767px){
    #cart .dropdown-menu.pull-right{
        right: 15px;
    }
}
img.email {
    margin-right: 2px;
    width: 17px;
}
img.phone {
    margin-bottom: 2px;
    margin-right: 3px;
}
img.icocartmin {
    width: 18px;
}
header i.fa.fa-search {
    font-size: 23px !important;
}

